SLAPCAT(8C)

NAME
slapcat - SLAPD database to LDIF utility

SYNOPSIS
/usr/local/sbin/slapcat [-v] [-c] [-d level] [-b suffix] [-n dbnum] [-f slapd.conf] [-l ldif-file]

DESCRIPTION

Slapcat is used to generate an LDAP Directory Interchange Format (LDIF) output based upon the contents of a slapd(8) database. It opens the given database determined by the database number or suffix and writes the corresponding LDIF to standard output or the specified file.

The LDIF generated by this tool is suitable for use with slapadd(8). As the entries are in database order, not superior first order, they cannot be loaded with ldapadd(8) without being reordered.

OPTIONS

-v  enable verbose mode.

-c  enable continue (ignore errors) mode.

-d level
    enable debugging messages as defined by the specified level.

-b suffix
    Use the specified suffix to determine which database to generate output for. The -b cannot be used in conjunction with the -n option.

-n dbnum
    Generate output for the dbnum-th database listed in the configuration file. The -n cannot be used in conjunction with the -b option.

-f slapd.conf
    specify an alternative slapd.conf(5) file.

-l ldif-file
    Write LDIF to specified file instead of standard output.

Limitations
Your slapd(8) should not be running (at least, not in read-write mode) when you do this to ensure consistency of the database.

EXAMPLES
To make a text backup of your SLAPD database and put it in a file called ldif, give the command:

	/usr/local/sbin/slapcat -l ldif

SEE ALSO
ldap(3), ldif(5), slapadd(8), ldapadd(1), slapd(8)

"OpenLDAP Administrator's Guide" (http://www.OpenLDAP.org/doc/admin/)

ACKNOWLEDGEMENTS
OpenLDAP is developed and maintained by The OpenLDAP Project (http://www.openldap.org/). OpenLDAP is derived from University of Michigan LDAP 3.3 Release.